package com.simuwang.base.mapper;

import com.simuwang.base.pojo.dos.EmailTemplateInfoDO;
import com.simuwang.base.pojo.dto.query.EmailTemplateInfoPageQuery;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface EmailTemplateInfoMapper {

    List<EmailTemplateInfoDO> searchTemplateList(EmailTemplateInfoPageQuery emailTemplateInfoPageQuery);

    long countTemplateList(EmailTemplateInfoPageQuery emailTemplateInfoPageQuery);

    void deleteTemplateList(@Param("idList") List<Integer> idList,@Param("userId")Integer userId);

    Integer saveTemplateInfo(EmailTemplateInfoDO emailDeletionInfoDO);

    void updateTemplateInfo(EmailTemplateInfoDO emailDeletionInfoDO);

    EmailTemplateInfoDO searchTemplateById(@Param("id") Integer id);

    EmailTemplateInfoDO searchTemplateByName(String name);
}
